{% load static %}

<!DOCTYPE html>

<html>
  <head>
    <title>Polls &ndash; {{ question }}</title>
    <link rel="stylesheet" href="{% static 'polls/css/main.css' %}">
  </head>

  <body>
    <main>
      <h1>{{ question.question_text }}</h1>

      {% if not has_enough_valid_choices %}
        <p>
          <i>
            Not enough valid choices for this poll.
            You may add more choices in
            <a href="{% url 'admin:polls_question_change' question.id %}">
              the admin panel
            </a>
          </i>.
        </p>
      {% else %}
        <form action="{% url 'polls:vote' question.id %}" method="post">
          {% csrf_token %}

          <fieldset>
            {% if error_message %}
              <p id="error-message">
                <strong>{{ error_message }}</strong>
              </p>
            {% endif %}

            {% for choice in question.choice_set.all %}
              <input type="radio" name="choice" id="choice-{{ forloop.counter }}" value="{{ choice.id }}">
              <label for="choice-{{ forloop.counter }}">{{ choice.choice_text }}</label><br>
            {% endfor %}
          </fieldset>

          {% if has_enough_valid_choices %}
            <button id="submit">Vote</button>
          {% endif %}
        </form>

        <a href="{% url 'polls:results' question.id %}">View results</a><br>
      {% endif %}
      <a href="{% url 'polls:index' %}">Return to polls</a>
    </main>
  </body>
</html>
